import { OnInit, ElementRef, Renderer } from '@angular/core';
import { Stream } from 'openvidu-browser';
import { OpenViduAppearinIntl } from '../openvidu-appearin-intl';
import { StreamInternalComponent } from '../../openvidu-internal/stream-internal.component';
import { SafeUrlPipe } from '../../utils/safe-url.pipe';
export declare class StreamAppearinComponent extends StreamInternalComponent implements OnInit {
    protected safeUrlPipe: SafeUrlPipe;
    protected renderer: Renderer;
    protected _intl: OpenViduAppearinIntl;
    name: ElementRef;
    videoStream: ElementRef;
    constructor(safeUrlPipe: SafeUrlPipe, renderer: Renderer, _intl: OpenViduAppearinIntl);
    protected setStreamCallback(val: Stream): void;
}
