import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { OpenViduHangoutsIntl } from '../openvidu-hangouts-intl';
export declare class DialogHangoutsComponent implements OnInit {
    dialogRef: MatDialogRef<DialogHangoutsComponent>;
    _intl: OpenViduHangoutsIntl;
    selectedVideoInput: string;
    videoInputs: Object[];
    constructor(dialogRef: MatDialogRef<DialogHangoutsComponent>, _intl: OpenViduHangoutsIntl);
    ngOnInit(): void;
    onSubmit(): void;
    private gotDevices(deviceInfos);
    private handleError(error);
}
