import { ElementRef, Renderer } from '@angular/core';
import { Stream } from 'openvidu-browser';
import { OpenViduGoToMeetingIntl } from '../openvidu-gotomeeting-intl';
import { StreamInternalComponent } from '../../openvidu-internal/stream-internal.component';
import { SafeUrlPipe } from '../../utils/safe-url.pipe';
export declare class StreamGoToMeetingComponent extends StreamInternalComponent {
    protected safeUrlPipe: SafeUrlPipe;
    protected renderer: Renderer;
    protected _intl: OpenViduGoToMeetingIntl;
    name: ElementRef;
    videoStream: ElementRef;
    constructor(safeUrlPipe: SafeUrlPipe, renderer: Renderer, _intl: OpenViduGoToMeetingIntl);
    protected setStreamCallback(val: Stream): void;
}
