import { ElementRef, Renderer } from '@angular/core';
import { Stream } from 'openvidu-browser';
import { OpenViduHangoutsIntl } from '../openvidu-hangouts-intl';
import { StreamInternalComponent } from '../../openvidu-internal/stream-internal.component';
import { SafeUrlPipe } from '../../utils/safe-url.pipe';
export declare class StreamHangoutsComponent extends StreamInternalComponent {
    protected safeUrlPipe: SafeUrlPipe;
    protected renderer: Renderer;
    protected _intl: OpenViduHangoutsIntl;
    name: ElementRef;
    videoStream: ElementRef;
    constructor(safeUrlPipe: SafeUrlPipe, renderer: Renderer, _intl: OpenViduHangoutsIntl);
    protected setStreamCallback(val: Stream): void;
}
