import { OpenViduDirective, CameraAccessEvent, StreamEvent } from './openvidu.directive';
import { Stream } from 'openvidu-browser';
export declare abstract class OpenViduHelperComponent {
    mainStream: Stream;
    streams: Stream[];
    myCamera: Stream;
    private _openviduApi;
    openviduApi: OpenViduDirective;
    handleOnUpdateMainSpeaker(streamEvent: StreamEvent): void;
    handleOnCameraAccessChange(cameraEvent: CameraAccessEvent): void;
    handleOnStreamAdded(streamEvent: StreamEvent): void;
    handleOnStreamRemoved(streamEvent: StreamEvent): void;
}
