import { ElementRef, EventEmitter, OnInit, Renderer } from '@angular/core';
import { SafeUrl } from '@angular/platform-browser';
import { Stream } from 'openvidu-browser';
import { SafeUrlPipe } from '../utils/safe-url.pipe';
export declare abstract class StreamInternalComponent implements OnInit {
    protected safeUrlPipe: SafeUrlPipe;
    protected renderer: Renderer;
    onSourceAdded: EventEmitter<void>;
    abstract videoStream: ElementRef;
    videoSrc: SafeUrl;
    muted: boolean;
    protected _stream: Stream;
    constructor(safeUrlPipe: SafeUrlPipe, renderer: Renderer);
    stream: Stream;
    ngOnInit(): void;
    protected abstract setStreamCallback(val: Stream): any;
}
